<script>
  import { onMount } from "svelte";
  import { json } from "d3-fetch";
  import Clock from "./_design_2_clock.svelte";
  import {clock_radius} from "./store_2";
  import { extent, max } from "d3-array";
  import { scaleLinear } from "d3-scale";

  

  let datapoints = [];
onMount(async () => {
  datapoints = await json('/data/daily_heating_cooling.json')
});

//$: console.log(datapoints)

//$: console.log(max(datapoints.map((d)=>d.heating)))
//$: console.log(max(datapoints.map((d)=>d.cooling)))


let transformed_data = {}
$: {datapoints.forEach((d)=>{
  if(!(d.city in transformed_data)){
    transformed_data[d.city]={"heating_values":[],"cooling_values":[],"day_of_year":[]}
  }
  if(!(d.day_of_year in transformed_data[d.city])){
    transformed_data[d.city]["cooling_values"].push(d.cooling)
    transformed_data[d.city]["heating_values"].push(d.heating)
    transformed_data[d.city]["day_of_year"].push(d.day_of_year)
  }

}
)}


//$: console.log(transformed_data)


</script>

<div>
  <Clock data={transformed_data} />

</div>

